Distribution:   CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		kdelibs
Version:	4.1.1
Release:	1
License:	LGPLv2
URL:		http://www.kde.org
Group:		Graphical Desktop/KDE4
Source0:	ftp://ftp.kde.org/pub/kde/stable/%{version}/src/kdelibs-%{version}.tar.bz2
Source1: 	kde4.sh
Source2: 	kde4.csh
# make -devel packages parallel-installable - borrowed from fedora
Patch0: 	kdelibs-4.1.0-parallel_devel.patch
# fix kde#149705
Patch2: 	kdelibs-3.95.0-kde149705.patch
# Hunspell support for K3Spell
# http://bugs.kde.org/show_bug.cgi?id=154561
Patch5: 	kdelibs-4.0.0-k3spell-hunspell.patch
# install all .css files and Doxyfile.global in kdelibs-common to build
# kdepimlibs-apidocs against
Patch8: 	kdelibs-4.0.2-install-all-css.patch
# add CCux/V-R to KHTML UA string
Patch9: 	kdelibs-4.0.2-branding.patch
# don't cache kdeglobals paths because they change after profile directories
# are loaded from kde4rc
Patch10: 	kdelibs-4.0.2-no-cache-kdeglobals-paths.patch
Patch13: 	kdelibs-4.0.98-ccux-buildtype.patch
# forward port kstandarddirs hack to search /etc/kde
Patch18: 	kdelibs-4.0.99-kstandarddirs.patch
# revert a kinit patch which triggers an assertion failure in KComponentData
# (and its followup) (#455130)
Patch19: 	kdelibs-4.0.98-revert-kinit-regression.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	K Desktop Environment 4 - Libraries
Requires:	aspell dbus-x11 shared-mime-info qt4 >= 4.4.0
Requires:	xdg-utils hicolor-icon-theme hunspell
%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }
Requires: 	kdelibs-common = %{version}-%{release}
Obsoletes: 	kdelibs4 < %{version}-%{release}
Provides:  	kdelibs4 = %{version}-%{release}
BuildRequires:	qt4-devel >= 4.4.0 kde-filesystem
BuildRequires:	cmake avahi-devel
BuildRequires:	strigi-devel
BuildRequires:	soprano-devel
BuildRequires:	bzip2-devel
BuildRequires:	libICE-devel
BuildRequires:	libSM-devel
BuildRequires:	libX11-devel
BuildRequires:	libXau-devel
BuildRequires:	libXdmcp-devel
BuildRequires:	libXext-devel
BuildRequires:	libXft-devel
BuildRequires:	glibc-devel
BuildRequires:	cups-devel
BuildRequires:	gamin-devel
BuildRequires:	pcre-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libxml2-devel
BuildRequires:	libxslt-devel
BuildRequires:	zlib-devel
BuildRequires:	OpenEXR-devel >= 1.6.1-2
BuildRequires:	enchant-devel
BuildRequires:	shared-mime-info
BuildRequires:	libjpeg-devel
BuildRequires:	giflib-devel
BuildRequires:	libpng-devel
BuildRequires:	aspell-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	jasper-devel
BuildRequires:	krb5-devel
BuildRequires:	e2fsprogs-devel gettext-devel libacl-devel libattr-devel
%define x_deps libXcomposite-devel libXdamage-devel libxkbfile-devel libXpm-devel libXScrnSaver-devel libXtst-devel libXv-devel libXxf86misc-devel
%{?x_deps:BuildRequires: %{x_deps}}
BuildRequires:	phonon-devel

# Require for rpm lzma compression
Requires:       rpm >= 4.4.2.3-1
Requires(post): /sbin/ldconfig xdg-utils
Requires(postun): /sbin/ldconfig xdg-utils

%description
Libraries for the K Desktop Environment 4.

%package common
Group: 		System/Libraries
Summary: 	Common files for KDE 3 and KDE 4 libraries
Obsoletes: 	kdelibs4-common < %{version}-%{release}
Provides:  	kdelibs4-common = %{version}-%{release}


%description common
This package includes the common files for the KDE 3 and KDE 4 libraries.

%package devel
Group: 		Development/Libraries
Summary: 	Header files for compiling KDE 4 applications
Requires: 	%{name} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: 	qt4-devel
Requires: 	openssl-devel
Requires: 	bzip2-devel gamin-devel libacl-devel zlib-devel
Requires: 	strigi-devel >= 0.5.7
%{?x_deps:Requires: %{x_deps}}
Obsoletes: 	kdelibs4-devel < %{version}-%{release}
Provides:  	kdelibs4-devel = %{version}-%{release}


%description devel
This package includes the header files you will need to compile
applications for KDE 4.

%post
/sbin/ldconfig ||:
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
xdg-desktop-menu forceupdate 2> /dev/null || :

%postun 
/sbin/ldconfig ||:
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
xdg-desktop-menu forceupdate 2> /dev/null || :

%prep
%setup -q
%patch0 -p1
%patch2 -p1 -b .kde149705
%patch5 -p1 -b .k3spell-hunspell
%patch8 -p1 -b .all-css
%patch9 -p1 -b .branding
sed -i -e "s|@@VERSION_RELEASE@@|%{version}-%{release}|" kio/kio/kprotocolmanager.cpp
%patch10 -p1 -b .no-cache-kdeglobals-paths
%patch13 -p1 -b .ccux-buildtype
%patch18 -p1 -b .kstandarddirs
%patch19 -p0

%build
mkdir -p %{_target_platform}
pushd %{_target_platform} 
%{cmake_kde4} -DKDE_DISTRIBUTION_TEXT="CCux Linux package %{name}-%{version}-%{release}" ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=0

%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot} -C %{_target_platform}

# see also use-of/patching of XDG_MENU_PREFIX in kdebase
#mv %{buildroot}%{_kde4_sysconfdir}/xdg/menus/applications.menu \
#   %{buildroot}%{_kde4_sysconfdir}/xdg/menus/kde4-applications.menu

# move devel symlinks
mkdir -p %{buildroot}%{_kde4_libdir}/kde4/devel
pushd %{buildroot}%{_kde4_libdir}
for i in lib*.so
do
  case "$i" in
    libkdeinit4_*.so)
      ;;
    ## FIXME/TODO: imo, should leave everything except for known-conflicts -- Rex
    *)
      linktarget=`readlink "$i"`
      rm -f "$i"
      ln -sf "../../$linktarget" "kde4/devel/$i"
      ;;
  esac
done
popd


install -p -m 755 -D %{SOURCE1} %{buildroot}%{_sysconfdir}/profile.d/kde4.sh
install -p -m 755 -D %{SOURCE2} %{buildroot}%{_sysconfdir}/profile.d/kde4.csh

# install apidocs and generator script
install -p -D doc/api/doxygen.sh %{buildroot}%{_kde4_bindir}/kde4-doxygen.sh

%files
%defattr(-,root,root,-)
%doc AUTHORS README TODO
%doc COPYING.LIB
%config(noreplace) %{_sysconfdir}/profile.d/*
%{_kde4_bindir}/*
%exclude %{_kde4_bindir}/kconfig_compiler4
%{_kde4_appsdir}/*
# kdewidgets
%exclude %{_kde4_bindir}/makekdewidgets4
%exclude %{_kde4_appsdir}/kdewidgets/
%exclude %{_kde4_libdir}/kde4/plugins/designer/kdewidgets.*
%exclude %{_kde4_appsdir}/cmake/
%{_kde4_configdir}/*
%{_datadir}/dbus-1/interfaces/*
%{_libdir}/kde4/plugins/script/*
%{_kde4_datadir}/mime/packages/*
%{_kde4_sharedir}/kde4/services/*
%{_kde4_sharedir}/kde4/servicetypes/*
%{_kde4_sharedir}/icons/hicolor/*/actions/presence_*
%{_kde4_docdir}/HTML/en/sonnet/
%{_kde4_libdir}/lib*.so.*
%{_kde4_libdir}/libkdeinit4_*.so
%dir %{_kde4_libdir}/kde4/
%{_kde4_libdir}/kde4/*.so
%{_kde4_libdir}/kde4/libexec/*
%dir %{_kde4_libdir}/kde4/plugins/
%{_kde4_libdir}/kde4/plugins/imageformats/
%{_kde4_sysconfdir}/xdg/menus/*.menu
%doc %{_mandir}/man*/*
%exclude %{_kde4_configdir}/kdebug.areas
%exclude %{_kde4_configdir}/kdebugrc
%exclude %{_kde4_configdir}/ui/ui_standards.rc
%exclude %{_kde4_appsdir}/kdeui

%files common
%defattr(-,root,root,-)
%{_kde4_configdir}/kdebug.areas
%{_kde4_configdir}/kdebugrc
%dir %{_kde4_configdir}/ui
%{_kde4_configdir}/ui/ui_standards.rc
%{_kde4_appsdir}/kdeui
%{_kde4_docdir}/HTML/en/common/
%{_kde4_datadir}/locale/all_languages/

%files devel
%defattr(-,root,root,-)
%doc KDE4PORTING.html
%{_kde4_bindir}/kconfig_compiler4
%{_kde4_bindir}/makekdewidgets4
%{_kde4_bindir}/kde4-doxygen.sh
%{_kde4_appsdir}/cmake/
%{_kde4_appsdir}/kdewidgets/
%{_kde4_includedir}/*
%{_kde4_libdir}/kde4/devel/
%{_kde4_libdir}/kde4/plugins/designer/


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Sep 03 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.1-1
- Version update
* Fri Aug 01 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-4
- refined requires, should fix upgrade problem
* Thu Jul 31 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-3
- renamed package,  moved homedir to .kde again
* Tue Jul 29 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-2
- move devel symlink for parallel kde 3 install
* Sat Jul 26 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-1
- Version update
* Thu Jul 24 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.99-1
- Version update
* Sun Jul 13 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.98-2
- added no debug Patch
* Sun Jul 13 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.98-1
- Version Update 4.1 RC 1
* Thu Jul 03 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.84-2
- rebuild against openEXR-1.6.1-2
* Wed Jul 02 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.84-1
- Version update
* Fri Jun 27 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.83-1
- Version update 4.1 Beta 2
* Mon Jun 16 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.80-4
- rebuild against qt-4.4.0-6
* Fri Jun 13 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.80-3
- rebuild against gcc-4.3.1-1
* Wed Jun 11 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.80-2
- rebuild against qt4-4.4.0-5
* Mon May 26 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.80-1
- Version update 4.1 Beta 1
* Mon May 26 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.72-1
- Version update 4.1 Alpha 1
* Mon Apr 07 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.3-1
- Version update
* Mon Mar 03 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.2-1
- Version update
* Thu Feb 07 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.0.1-2
- moved KDEHOMEDIR to ~/.kde4
* Wed Feb 06 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.1-1
- Version update
* Fri Jan 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.0.0-1
- Version update
* Wed Dec 12 2007 Christian Metzen <metzench@ccux-linux.de> 3.97.0-1
- Version update to RC2
* Thu Dec 06 2007 Christian Metzen <metzench@ccux-linux.de> 3.96.2-6
- patching
* Tue Dec 04 2007 Christian Metzen <metzench@ccux-linux.de> 3.96.2-5
- rebuild, moved prefix to /usr
* Tue Dec 04 2007 Christian Metzen <metzench@ccux-linux.de> 3.96.2-4
- moved menu file
* Tue Dec 04 2007 Christian Metzen <metzench@ccux-linux.de> 3.96.2-3
- rebuild against latest macro file
* Mon Dec 03 2007 Christian Metzen <metzench@ccux-linux.de> 3.96.2-2
- moved devel symlinks again to correct location
* Mon Dec 03 2007 Christian Metzen <metzench@ccux-linux.de> 3.96.2-1
- Version bump to latest rc
* Sun Nov 11 2007 Simon Schmeisser <wrt@ccux-linux.de> 3.95.2-1
- Version update - svn735336
* Tue Sep 18 2007 Simon Schmeisser <wrt@ccux-linux.de> 3.93-2
- Version update - svn714060
* Fri Sep 14 2007 Simon Schmeisser <wrt@ccux-linux.de> 3.93-1
- Version update to beta 2 - svn712263
* Tue Aug 14 2007 Simon Schmeisser <wrt@ccux-linux.de> 3.92-1
- Version update to beta 1 - svn700710
* Thu Jun 26 2007 Simon Schmeisser <wrt@ccux-linux.de> 3.90.1-2
- Version update - svn680412
* Thu Jun 7 2007 Simon Schmeisser <wrt@ccux-linux.de> 3.90.1-1
- Initial Release - svn672966
